#!/bin/sh
###########################################################################
# eeMark                                                                  #
# http://eeclust.de                                                       #
#                                                                         #
# Copyright (c) 2011-2012, ZIH, TU Dresden, Federal Republic of Germany   #
#                                                                         #
# See the file COPYING in the package base directory for details          #
###########################################################################

cc -c -shared -fPIC dataheap.c -L./libexpec -I./libexpec -I../src -lexpec
if [ $? -ne 0 ] ; then
	echo "Compile failed."
        echo "make sure that the libexpec folder from the Dataheap installation is present in this directory"
	exit 1
fi
ar x libexpec/libexpec.a
if [ -f libenergyclient.a ] ; then
	rm libenergyclient.a
fi
ar r libenergyclient.a libexpec_a-expec.o libexpec_a-service.o libexpec_a-socket.o dataheap.o
